<template>
    <view class="search">
        <view class="input_box">
            <u-search height="30" bgColor="#FFF" :showAction="false" :focus="true" placeholder="请输入剧名"
                searchIconColor="#000" v-model="keyword" @search="search"></u-search>
        </view>
        <view class="videoLists">
            <view class="list_item" v-for="(item,index) in list" :key="index">
                <image :src="item.thumbnail" mode="aspectFill" loading="lazy"></image>
                <view class="innews">
                    <text>{{item.title}}</text>
                </view>
            </view>
        </view>
    </view>
</template>
<script>
import { getServerShipProgramPage } from '@/apis/index'
export default {
    data(){
        return{
            keyword:'',
            list:[]
        }
    },
    methods: {
        // 获取视频节目分页
        async getVideoPage() {
            let params = {
                orderByColumn: "",
                orderByAsc: true,
                pageIndex: 1,
                pageSize: 10,
                keyword: this.keyword,
                shipCategoryId: '',
            }
            const res = await getServerShipProgramPage(params)
            this.list = res.list
            console.log(res);
        },
        search(){
            this.getVideoPage()
        }
    },
}
</script>
<style lang="scss" scoped>
    .search{
        
        padding-bottom: var(--window-bottom);
        .input_box{
            padding: 20rpx;
        }
    }
</style>